Quassel IRC - Bug #693

Quassel doesn't respect the order of servers in a network in certain reconnect situations

05/12/2009 10:30 PM - lozzd

Status: Resolved Start date: 05/12/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.41 0S: Any
Description

Sometimes Quassel won't connect to the first server, even when it could (and should)...

<lozzd> the ordering of different servers for a network is not respected always

<lozzd> heres a scenario

<lozzd> theres one good irc server, and one backup, that works, but i don't like to use it so much

<lozzd> on first connect ever, it will connect to the good one

<lozzd> the good one fails, and it reconnects to the backup, fine
<lozzd> but then, the first one comes up again, and i want to reconnect to that. so i disconnect, and reconnect, expecting it to use the

first server again.. it doens't, it uses the backup one again

<lozzd> | have to delete the backup server from the settings, connect, and then re-add the backup server again

Associated revisions

Revision cb53823e - 04/24/2017 11:02 PM - genius3000

core: connectTolrc: Pick first IRC server specified when not failed

When connecting to the IRC network, only clear the
'_previousConnectionAttemptFailed' flag when trying the next server
in the list. Otherwise, reset server index to start from the top.

Currently, Quassel will continue to use the last used (working)
server (or a random server if set to). This doesn't match the
intention of having an ordered list of servers to use. The change
here just makes Quassel start with the first server in the list
unless it's a failed attempt, in which it continues down the list
(same as currently).

This fixes the issue of getting "stuck" on a specific server even if
you manually disconnect and connect.

Reference: http:/bugs.quassel-irc.org/issues/693
And: http://bugs.quassel-irc.org/issues/1006
Fixes #693 and #1006

Resolves GH-287

Revision 71193883 - 03/01/2018 12:08 AM - genius3000

core: connectTolrc: Pick first IRC server specified when not failed

When connecting to the IRC network, only clear the
'_previousConnectionAttemptFailed' flag when trying the next server
in the list. Otherwise, reset server index to start from the top.

Currently, Quassel will continue to use the last used (working)
server (or a random server if set to). This doesn't match the
intention of having an ordered list of servers to use. The change
here just makes Quassel start with the first server in the list
unless it's a failed attempt, in which it continues down the list
(same as currently).

This fixes the issue of getting "stuck" on a specific server even if
you manually disconnect and connect.

Reference: http:/bugs.quassel-irc.org/issues/693
And: http://bugs.quassel-irc.org/issues/1006
http://bugs.quassel-irc.org/issues/693
http://bugs.quassel-irc.org/issues/1006
http://bugs.quassel-irc.org/issues/693
http://bugs.quassel-irc.org/issues/1006

Fixes #693 and #1006
Resolves GH-287

(cherry picked from commit cb53823eeecff3f033adfe2cb1a48d8b8a89dbae)

Revision 5227b506 - 04/04/2018 11:14 PM - genius3000

core: connectTolrc: Pick first IRC server specified when not failed

When connecting to the IRC network, only clear the
'_previousConnectionAttemptFailed' flag when trying the next server
in the list. Otherwise, reset server index to start from the top.

Currently, Quassel will continue to use the last used (working)
server (or a random server if set to). This doesn't match the
intention of having an ordered list of servers to use. The change
here just makes Quassel start with the first server in the list
unless it's a failed attempt, in which it continues down the list
(same as currently).

This fixes the issue of getting "stuck" on a specific server even if
you manually disconnect and connect.

Reference: http:/bugs.quassel-irc.org/issues/693
And: http://bugs.quassel-irc.org/issues/1006

Fixes #693 and #1006
Resolves GH-287

(cherry picked from commit cb53823eeecff3f033adfe2chb1a48d8b8a89dbae)

History

#1 - 04/24/2017 11:04 PM - genius3000
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|cb53823eeecff3f033adfe2cb1a48d8b8a89dbae.
